MongoDB\Driver\WriteResult::getWriteErrors
Functions
MongoDB
PHP Manual

# BSON type classes and serialization functions

- Functions
  - MongoDB\BSON\fromJSON — Returns the BSON representation of a JSON value
  - MongoDB\BSON\fromPHP — Returns the BSON representation of a PHP value
  - MongoDB\BSON\toJSON — Returns the JSON representation of a BSON value
  - MongoDB\BSON\toPHP — Returns the PHP representation of a BSON value
- MongoDB\BSON\Binary — The MongoDB\BSON\Binary class
  - MongoDB\BSON\Binary::__construct — Construct a new Binary
  - MongoDB\BSON\Binary::getData — Returns the Binary's data
  - MongoDB\BSON\Binary::getType — Returns the Binary's type
- MongoDB\BSON\Javascript — The MongoDB\BSON\Javascript class
  - MongoDB\BSON\Javascript::__construct — Construct a new Javascript
- MongoDB\BSON\MaxKey — The MongoDB\BSON\MaxKey class
  - MongoDB\BSON\MaxKey::__construct — Construct a new MaxKey
- MongoDB\BSON\MinKey — The MongoDB\BSON\MinKey class
  - MongoDB\BSON\MinKey::__construct — Construct a new MinKey
- MongoDB\BSON\ObjectID — The MongoDB\BSON\ObjectID class
  - MongoDB\BSON\ObjectID::__construct — Construct a new ObjectID
  - MongoDB\BSON\ObjectID::__toString — Returns the hexidecimal representation of this ObjectID
- MongoDB\BSON\Regex — The MongoDB\BSON\Regex class
  - MongoDB\BSON\Regex::__construct — Construct a new Regex
  - MongoDB\BSON\Regex::getFlags — Returns the Regex's flags
  - MongoDB\BSON\Regex::getPattern — Returns the Regex's pattern
  - MongoDB\BSON\Regex::__toString — Returns the string representation of this Regex
- MongoDB\BSON\Timestamp — The MongoDB\BSON\Timestamp class
  - MongoDB\BSON\Timestamp::__construct — Construct a new Timestamp
  - MongoDB\BSON\Timestamp::__toString — Returns the string representation of this Timestamp
- MongoDB\BSON\UTCDateTime — The MongoDB\BSON\UTCDateTime class
  - MongoDB\BSON\UTCDateTime::__construct — Construct a new UTCDateTime
  - MongoDB\BSON\UTCDateTime::toDateTime — Returns the DateTime representation of this UTCDateTime
  - MongoDB\BSON\UTCDateTime::__toString — Returns the string representation of this UTCDateTime
- MongoDB\BSON\Type — The MongoDB\BSON\Type interface
- MongoDB\BSON\Persistable — The MongoDB\BSON\Persistable interface
- MongoDB\BSON\Serializable — The MongoDB\BSON\Serializable interface
  - MongoDB\BSON\Serializable::bsonSerialize — Provides an array or document to serialize as BSON
- MongoDB\BSON\Unserializable — The MongoDB\BSON\Unserializable interface
  - MongoDB\BSON\Unserializable::bsonUnserialize — Constructs the object from a BSON array or document

MongoDB\Driver\WriteResult::getWriteErrors
Functions
MongoDB
PHP Manual